Bug 252440 - www/py-webargs: Update to 7.0.1
Summary: www/py-webargs: Update to 7.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/marshmallow-code/w...
Keywords:
Depends on:
Blocks: 252489
  Show dependency treegraph
 
Reported: 2021-01-05 17:55 UTC by Goran Mekić
Modified: 2021-01-08 13:20 UTC (History)
2 users (show)

See Also:


Attachments
webargs.diff (2.28 KB, patch)
2021-01-05 17:55 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2021-01-05 17:55:05 UTC
Created attachment 221297 [details]
webargs.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.1, amd64 tested)
  * maketest: OK (269 passed, 5 skipped, 5 warnings)
Comment 1 Goran Mekić 2021-01-05 17:56:39 UTC
Sorry, I copy pasted old QA. This is new:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.2, amd64 tested)
  * maketest: OK (282 passed, 2 skipped, 4 warnings)
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-06 18:12:01 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 3 Goran Mekić 2021-01-06 22:17:46 UTC
I do apologize, my focus is not the best these days. Thank you for you patience and education!
Comment 4 Fernando Apesteguía freebsd_committer 2021-01-07 10:08:33 UTC
(In reply to Goran Mekić from comment #3)

No worries. This was a very good PR and very tested. My scripts automatically detect some of the missing pieces.

Thanks for updating the URL field. It makes it easier to have a quick look and see if the update is a candidate to MFH.

Cheers
Comment 5 Goran Mekić 2021-01-07 12:47:25 UTC
Are those scripts public? I mean, can I use them to validate my PRs in the future?
Comment 6 Fernando Apesteguía freebsd_committer 2021-01-07 12:56:06 UTC
(In reply to Goran Mekić from comment #5)

You can find them here:

https://github.com/fernape/freebsd_triage_and_qa

They are far from perfect, but they help me doing the repetitive work.

Cheers!
Comment 7 commit-hook freebsd_committer 2021-01-08 13:20:04 UTC
A commit references this bug:

Author: rhurlin
Date: Fri Jan  8 13:19:12 UTC 2021
New revision: 560771
URL: https://svnweb.freebsd.org/changeset/ports/560771

Log:
  www/py-webargs: Update to 7.0.1

  Changelog: https://github.com/marshmallow-code/webargs/blob/dev/CHANGELOG.rst#701-2020-12-14

  PR:		252440
  Submitted by:	Goran Mekic <meka@tilda.center> (maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28037

Changes:
  head/www/py-webargs/Makefile
  head/www/py-webargs/distinfo
Comment 8 Rainer Hurling freebsd_committer 2021-01-08 13:20:39 UTC
Committed, thanks :)